Menu

What are the technical requirements for using Polar Team Pro app?

The Polar Team Pro app works with Apple’s iOS 13 or later.

Make sure you have the latest iOS version on your iPad. To be able to sync data from the app to the web service, you need an internet connection.

Contact Us
Contact Us
Request repair
Request repair

Change region

If your country is not listed on this page, please find your local contact details, retailers and stores and service points on our global site.